package com.happy.service;

import com.happy.Model.Admin;
import com.happy.Model.AdminManager;
import com.happy.Model.Hotel;
import com.happy.Model.app.Around_product;
import com.happy.Model.app.Arounds;
import com.happy.Model.app.News;
import com.happy.Model.weixin.CodeEntity;
import com.alibaba.fastjson.JSONObject;
import com.happy.common.model.airticle.Item_content;

import java.util.List;

public interface AppService {

    public CodeEntity getCodeInfo(String code);

    public JSONObject getGCodeInfo(String code);

    // 登录
    public Admin login(String admin_name, String password);

    public Admin queryByOpenid(String openid);

    public Admin queryByNameAndOpenid(String admin_name,String openid);

    public int updateOpenid(String openid,String admin_name);

    public int updateOpenidNull(String openid);

    /**********************
     * ********商户绑定**********
     * ********************/
    public AdminManager login_ma(String admin_name, String password);

    public AdminManager queryMaByOpenid(String openid);

    public AdminManager queryMaByNameAndOpenid(String admin_name,String openid);

    public int updateMaOpenid(String openid,String admin_name);

    public int updateMaOpenidNull(String openid);

    /** ================================资讯============================= **/
    public int insertNews(News news);

    public int delNews(int id);

    public int updateNews(News news);

    public int updateTop(News news);

    public News queryByTit(String title);

    public News queryById(int id);

    public List<Item_content> getNews(int page, int rows) throws Exception;

    public List<News> queryNewPage(int page, int rows, String sqlx);

    public int queryNewTotal(String sqlx);

    /** ==============================周边=================================== **/
    public int insertRound(Arounds arounds);

    public int updateRoundById(Arounds arounds);

    public int updateRoundCountById(Arounds arounds);

    public int delAround(int id);

    public Arounds queryAroundById(int id);

    public Arounds queryAroundByName(String rname);

    public List<Arounds> queryAroundPage(String sqlx, int page, int rows);

    public int queryAroundTotal(String sqlx);

    /** =========================产品============================== **/
    public int insertProduct(Around_product around_product);

    public int updateProductById(Around_product around_product);

    public int delAroundProduct(int id);

    public Around_product queryAPById(int id);

    public Around_product queryAPByName(int aid,String product_name);

    public List<Around_product> queryAPPage(int aid,String sqlx, int page, int rows);

    public int queryAPTotal(int aid,String sqlx);

    public List<Around_product> queryAP(int aid,String sqlx);

    public List<Hotel> queryMs(String town);

}
